> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roark.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get chat transcript

> Fetch the full transcript (messages) for a specific chat.



## OpenAPI

````yaml /api-reference/openapi.documented.json get /v1/chat/{id}/transcript
openapi: 3.1.0
info:
  title: Roark Analytics API
  description: >-
    The Roark Analytics API gives you access to the same API that powers the
    award winning Roark Analytics platform.
  version: 1.0.0
servers:
  - description: Production
    url: https://api.roark.ai
security:
  - Bearer: []
tags:
  - name: Agent
  - name: Agent Endpoint
  - name: Call
  - name: Chat
  - name: Metric
  - name: Metric Policy
  - name: Metric Collection Job
  - name: Simulation Persona
  - name: Simulation Scenario
  - name: Simulation Run Plan
  - name: Simulation Run Plan Job
  - name: Simulation Job
  - name: HTTP Request Definition
  - name: Webhook
  - name: Issue
  - name: Knowledge Base
  - name: Call Analysis
  - name: Health
paths:
  /v1/chat/{id}/transcript:
    get:
      tags:
        - Chat
      summary: Get chat transcript
      description: Fetch the full transcript (messages) for a specific chat.
      operationId: getV1ChatByIdTranscript
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
            description: ID of the chat to fetch transcript for
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      participants:
                        type: array
                        items:
                          oneOf:
                            - type: object
                              properties:
                                id:
                                  type: string
                                  format: uuid
                                  description: Conversation participant ID
                                type:
                                  type: string
                                  const: AGENT
                                agentId:
                                  type:
                                    - string
                                    - 'null'
                                  format: uuid
                                  description: ID of the agent entity
                              required:
                                - id
                                - type
                                - agentId
                              description: An agent participant
                            - type: object
                              properties:
                                id:
                                  type: string
                                  format: uuid
                                  description: Conversation participant ID
                                type:
                                  type: string
                                  const: CUSTOMER
                                customerId:
                                  type:
                                    - string
                                    - 'null'
                                  format: uuid
                                  description: ID of the conversation customer record
                              required:
                                - id
                                - type
                                - customerId
                              description: A customer participant
                            - type: object
                              properties:
                                id:
                                  type: string
                                  format: uuid
                                  description: Conversation participant ID
                                type:
                                  type: string
                                  const: SIMULATED_CUSTOMER
                                customerId:
                                  type:
                                    - string
                                    - 'null'
                                  format: uuid
                                  description: ID of the conversation customer record
                              required:
                                - id
                                - type
                                - customerId
                              description: A simulated customer participant
                            - type: object
                              properties:
                                id:
                                  type: string
                                  format: uuid
                                  description: Conversation participant ID
                                type:
                                  type: string
                                  const: BACKGROUND_SPEAKER
                              required:
                                - id
                                - type
                              description: A background speaker participant
                          description: A participant in the conversation
                        description: >-
                          All participants in this transcript, referenced by
                          participantId on each entry
                      entries:
                        type: array
                        items:
                          type: object
                          properties:
                            participantId:
                              type:
                                - string
                                - 'null'
                              format: uuid
                              description: >-
                                ID of the conversation participant who produced
                                this entry. References participants[].id.
                            role:
                              type:
                                - string
                                - 'null'
                              enum:
                                - AGENT
                                - CUSTOMER
                              description: Convenience role derived from participant type
                            text:
                              type: string
                              description: Transcript text for this entry
                            startOffsetMs:
                              type: integer
                              minimum: 0
                              description: >-
                                Start time offset in milliseconds from the start
                                of the conversation
                            endOffsetMs:
                              type: integer
                              minimum: 0
                              description: >-
                                End time offset in milliseconds from the start
                                of the conversation
                          required:
                            - participantId
                            - role
                            - text
                            - startOffsetMs
                            - endOffsetMs
                          description: A single transcript entry
                        description: Ordered list of transcript entries from the chat
                    required:
                      - participants
                      - entries
                    description: Chat transcript response
                required:
                  - data
          description: Transcript for the specified chat
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Authentication error
              example:
                type: authentication
                code: unauthorized
                message: Authentication required
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Permission error
              example:
                type: forbidden
                code: permission_denied
                message: You do not have permission to access this resource
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Not found error
              example:
                type: not_found
                code: resource_not_found
                message: The requested resource could not be found
          description: Not Found
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Rate limit error
              example:
                type: rate_limit
                code: too_many_requests
                message: Rate limit exceeded
          description: Too Many Requests
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Server error
              example:
                type: internal
                code: internal_error
                message: Internal server error
          description: Internal Server Error
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - validation
            - authentication
            - forbidden
            - not_found
            - conflict
            - rate_limit
            - internal
          description: The error type category
          examples:
            - validation
            - authentication
        code:
          type: string
          description: Machine-readable error code identifier
          examples:
            - invalid_parameter
            - missing_required_field
            - unauthorized
        message:
          type: string
          description: Human-readable error message
          examples:
            - The request was invalid
            - Authentication required
        param:
          type: string
          description: The parameter that caused the error (if applicable)
          examples:
            - email
            - user_id
        details:
          description: Additional error context information
      required:
        - type
        - code
        - message
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````